aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mediatek/mt7629/base-files
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/mediatek/mt7629/base-files')
-rw-r--r--target/linux/mediatek/mt7629/base-files/etc/board.d/01_leds16
-rw-r--r--target/linux/mediatek/mt7629/base-files/etc/board.d/02_network3
-rwxr-xr-xtarget/linux/mediatek/mt7629/base-files/etc/init.d/bootcount17
-rwxr-xr-xtarget/linux/mediatek/mt7629/base-files/lib/upgrade/platform.sh3
4 files changed, 39 insertions, 0 deletions
diff --git a/target/linux/mediatek/mt7629/base-files/etc/board.d/01_leds b/target/linux/mediatek/mt7629/base-files/etc/board.d/01_leds
new file mode 100644
index 0000000000..42b6fcbbb3
--- /dev/null
+++ b/target/linux/mediatek/mt7629/base-files/etc/board.d/01_leds
@@ -0,0 +1,16 @@
+. /lib/functions/leds.sh
+. /lib/functions/uci-defaults.sh
+
+board=$(board_name)
+
+board_config_update
+
+case $board in
+iptime,a6004mx)
+ ucidef_set_led_netdev "wan" "WAN" "orange:wan" "eth1"
+ ;;
+esac
+
+board_config_flush
+
+exit 0
diff --git a/target/linux/mediatek/mt7629/base-files/etc/board.d/02_network b/target/linux/mediatek/mt7629/base-files/etc/board.d/02_network
index c39417abbc..4254f39ca0 100644
--- a/target/linux/mediatek/mt7629/base-files/etc/board.d/02_network
+++ b/target/linux/mediatek/mt7629/base-files/etc/board.d/02_network
@@ -8,6 +8,9 @@ mediatek_setup_interfaces()
local board="$1"
case $board in
+ iptime,a6004mx)
+ ucidef_set_interfaces_lan_wan "lan1 lan2 lan3 lan4" "eth1"
+ ;;
mediatek,mt7629-rfb)
ucidef_set_interface_wan "eth1"
ucidef_add_switch "switch0" \
diff --git a/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount b/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..a6b8fac1d9
--- /dev/null
+++ b/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount
@@ -0,0 +1,17 @@
+#!/bin/sh /etc/rc.common
+# SPDX-License-Identifier: GPL-2.0-only
+
+START=99
+
+boot() {
+ case $(board_name) in
+ iptime,a6004mx)
+ if [ `fw_printenv boot_sector` = "boot_sector=B" ]; then
+ echo "bootcount: boot_sector must be A. Rebooting..."
+ fw_setenv boot_sector A
+ reboot
+ exit 1
+ fi
+ ;;
+ esac
+}
diff --git a/target/linux/mediatek/mt7629/base-files/lib/upgrade/platform.sh b/target/linux/mediatek/mt7629/base-files/lib/upgrade/platform.sh
index 9a613c43b1..f10ad14b49 100755
--- a/target/linux/mediatek/mt7629/base-files/lib/upgrade/platform.sh
+++ b/target/linux/mediatek/mt7629/base-files/lib/upgrade/platform.sh
@@ -9,6 +9,9 @@ platform_do_upgrade() {
local board=$(board_name)
case "$board" in
+ iptime,a6004mx)
+ nand_do_upgrade "$1"
+ ;;
*)
default_do_upgrade "$1"
;;